## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

# https://github.com/yuin/goldmark
%global goipath         github.com/yuin/goldmark
Version:                1.6.0

%gometa

%global common_description %{expand:
A markdown parser written in Go. Easy to extend, standard(CommonMark)
compliant, well structured.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           golang-github-yuin-goldmark
Release:        %autorelease
Summary:        Markdown parser written in Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%install
%gopkginstall

%if %{with check}
%check
%ifarch aarch64 %{ix86}
export GOLDMARK_TEST_TIMEOUT_MULTIPLIER=6
%endif
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Oct 30 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.6.0-1
- Update to latest version (#2246697)

* Fri Sep 15 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.5.6-1
- Update to latest version (#2232495)

* Mon Jul 24 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.5.5-2
- Increase test timeout in more places

* Mon Jul 24 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.5.5-1
- Update to latest version (#2224922)

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Feb 27 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.5.4-1
- Update to latest version (#2166800)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Nov 27 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.5.3-1
- Update to latest version (#2142535)

* Sat Oct 01 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.5.2-1
- Update to latest version (#2128125)

* Sat Sep 03 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.14-1
- Update to latest version (#2123799)

* Mon Aug 08 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.13-1
- Update to latest version (#2078232)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Mar 20 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.11-1
- Update to latest version (#2063201)

* Sat Mar 05 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.8-3
- Increase more timeouts on 32-bit systems

* Sat Mar 05 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.8-2
- Increase timeout for 32-bit builds

* Sat Mar 05 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.8-1
- Update to latest version (#2056182)

* Sun Feb 20 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.7-1
- Update to latest version (#2056182)

* Sun Feb 13 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.6-1
- Update to latest version (#2052386)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 15 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.4-1
- Update to latest version (#2016351)

* Mon Sep 13 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.1-1
- Update to latest version (#2003469)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 11 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.0-1
- Update to latest version (#1976934)

* Sat Jun 19 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.8-1
- Update to latest version (#1973250)

* Wed May 19 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.7-1
- Update to latest version (#1961450)

* Sun May 16 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.6-1
- Update to latest version (#1960862)

* Thu Apr 15 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.5-1
- Update to latest version (#1949409)

* Sun Apr 11 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.4-1
- Update to latest version (#1948195)

* Sun Mar 21 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.3-1
- Update to latest version (#1941238)

* Sun Feb 07 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.2-1
- Update to latest version (#1925924)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 26 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.1-1
- Update to latest version (#1910997)

* Sun Dec 13 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.0-1
- Update to latest version (#1907235)

* Sat Aug 01 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2.1-1
- Update to latest version

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2.0-1
- Update to latest version

* Sun Jul 12 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.33-1
- Update to latest version

* Sat Jun 06 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.32-1
- Update to latest version

* Sun May 24 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.31-1
- Update to latest version

* Thu Apr 16 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.30-1
- Update to latest version

* Wed Apr 15 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.29-1
- Update to latest version

* Wed Apr 08 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.27-1
- Update to latest version

* Thu Mar 26 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.26-1
- Update to latest version

* Mon Mar 09 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.25-1
- Update to latest version

* Mon Mar 02 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.24-1
- Update to latest version

* Tue Feb 18 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.23-1
- Update to latest version

* Tue Feb 18 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.22-1
- Update to latest version

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 01 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.19-1
- Update to latest version

* Wed Oct 16 06:30:44 EDT 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.0-1
- Initial package

